## sqlmodel 0.0.24

=== requirements.txt ===
-e .

-r requirements-tests.txt
-r requirements-docs.txt

pre-commit >=2.17.0,<4.0.0

## sqlmodel 0.0.4

=== debian/changelog ===
sqlmodel (0.0.4-2) unstable; urgency=medium

  * debian/rules
    - fix running tests at build-time
  * debian/control
    - add pydantic, and typing-extensions to Depends
  * debian/tests/
    - enable autopkgtests

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 00:13:36 -0500

sqlmodel (0.0.4-1) unstable; urgency=low

  * Initial release; Closes: #993906

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Oct 2021 04:16:39 +0000

=== debian/control ===
Source: sqlmodel
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-fastapi <!nocheck>,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-sqlalchemy (>= 1.4) <!nocheck>,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/tiangolo/sqlmodel
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlmodel.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlmodel

Package: python3-sqlmodel
Architecture: all
Depends: python3-pydantic (>= 1.8.2),
         python3-sqlalchemy (>= 1.4),
         python3-typing-extensions,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: SQL databases in Python, designed for simplicity, compatibility, and robustness
 SQLModel is a library for interacting with SQL databases from Python code, with
 Python objects. It is designed to be intuitive, easy to use, highly compatible,
 and robust.
 .
 SQLModel is based on Python type annotations, and powered by Pydantic and
 SQLAlchemy.
 .
 The key features are:
 .
  * Intuitive to write: Great editor support. Completion everywhere. Less time
    debugging. Designed to be easy to use and learn. Less time reading docs.
  * Easy to use: It has sensible defaults and does a lot of work underneath to
    simplify the code you write.
  * Compatible: It is designed to be compatible with FastAPI, Pydantic, and
    SQLAlchemy.
  * Extensible: You have all the power of SQLAlchemy and Pydantic underneath.
  * Short: Minimize code duplication. A single type annotation does a lot of
    work. No need to duplicate models in SQLAlchemy and Pydantic.
 .
 SQLModel is designed to simplify interacting with SQL databases in FastAPI
 applications, it was created by the same author.
 .
 It combines SQLAlchemy and Pydantic and tries to simplify the code you write as
 much as possible, allowing you to reduce the code duplication to a minimum, but
 while getting the best developer experience possible.
 .
 SQLModel is, in fact, a thin layer on top of Pydantic and SQLAlchemy, carefully
 designed to be compatible with both.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sqlmodel
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	PYBUILD_SYSTEM=custom PYBUILD_CLEAN_ARGS="{interpreter} debian/setup.py clean" dh_auto_clean

override_dh_auto_build:
	PYBUILD_SYSTEM=custom PYBUILD_BUILD_ARGS="{interpreter} debian/setup.py build" dh_auto_build

override_dh_auto_install:
	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} debian/setup.py install --root={destdir} --install-layout=deb" dh_auto_install

override_dh_auto_configure:
	echo "pass"

override_dh_auto_test:
	# test_create_db_and_table: converage cant find docs_src so this test fails
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest -k 'not test_create_db_and_table' " dh_auto_test

## sqlmodel 0.0.6

=== debian/changelog ===
sqlmodel (0.0.6-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extrend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Jan 2022 22:10:21 -0500

sqlmodel (0.0.4-3) unstable; urgency=medium

  * use the poetry-core build backend instead of a custom setup.py file

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Dec 2021 00:13:25 -0500

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-fastapi <!nocheck>,
+               python3-poetry-core,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,

## sqlmodel 0.0.8

=== debian/changelog ===
sqlmodel (0.0.8-6) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 21:24:36 -0500

sqlmodel (0.0.8-5) unstable; urgency=medium

  * Team upload
  * Compare openapi calls with deb version (Closes: #1042324)

 -- Bastian Germann <bage@debian.org>  Wed, 30 Aug 2023 22:32:18 +0200

sqlmodel (0.0.8-4) unstable; urgency=medium

  * Team upload
  * Allow sqlalchemy dep version < 2.0 (Closes: #1028512)

 -- Bastian Germann <bage@debian.org>  Thu, 26 Jan 2023 00:51:55 +0100

sqlmodel (0.0.8-3) unstable; urgency=medium

  * debian/control
    - depends/b-d on sqlalchemy >= 1.4.45, fixes autopkgtest; Closes: #1027138

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Dec 2022 11:26:27 -0500

sqlmodel (0.0.8-2) unstable; urgency=medium

  * debian/control
    - add httpx to b-d, needed by tests; Closes: #1027061
  * debian/patches/PR510.patch
    - allow to use sqlalchemy 1.4.45, which is currently in unstable;
      Closes: #1027062
  * debian/patches/PR519.patch
    - ensure tests compatibility with sqlalchemy/1.4.45

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Dec 2022 15:47:04 -0500

sqlmodel (0.0.8-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/tests_valudationerror_anyof.patch
    - update tests expected data due to recent pydantic/fastapi;
      Closes: #1022413

 -- Sandro Tosi <morph@debian.org>  Wed, 23 Nov 2022 00:41:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
                python3-fastapi <!nocheck>,
+               python3-httpx <!nocheck>,
                python3-poetry-core,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-sqlalchemy (>= 1.4) <!nocheck>,
+               python3-sqlalchemy (>= 1.4.45) <!nocheck>,
 Standards-Version: 4.6.0.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/tiangolo/sqlmodel
-Vcs-Git: https://salsa.debian.org/python-team/packages/sqlmodel.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlmodel
+Vcs-Git: https://salsa.debian.org/morph/sqlmodel.git
+Vcs-Browser: https://salsa.debian.org/morph/sqlmodel
 
 Package: python3-sqlmodel
 Architecture: all
 Depends: python3-pydantic (>= 1.8.2),
-         python3-sqlalchemy (>= 1.4),
+         python3-sqlalchemy (>= 1.4.45),
          python3-typing-extensions,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sqlmodel
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo "pass"

override_dh_auto_test:
	# test_create_db_and_table: converage cant find docs_src so this test fails
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest -k 'not test_create_db_and_table' " dh_auto_test

## sqlmodel 0.0.19

=== debian/changelog ===
sqlmodel (0.0.19-1) unstable; urgency=medium

  * New upstream release; Closes: #1066771, #1071067, #1071992
  * debian/control
    - add pdm-backend to b-d, needed to build the package now
    - add black, jinja to b-d, needed by tests
  * debian/pybuild.testfiles
    - add file to also copy the scripts directory, some tests look for it

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Jun 2024 01:33:13 -0400

sqlmodel (0.0.16-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump versioned b-d on sqlalchemy to >= 2.0.0
    - add dirty-equals to b-d, needed by tests
  * debian/rules
    - run tests via PYBUILD_TEST_ARGS
  * drop all patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Mar 2024 21:44:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: black <!nocheck>,
+               debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
+               python3-dirty-equals <!nocheck>,
                python3-fastapi <!nocheck>,
                python3-httpx <!nocheck>,
+               python3-jinja2 <!nocheck>,
+               python3-pdm-backend,
                python3-poetry-core,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-sqlalchemy (>= 1.4.45) <!nocheck>,
+               python3-sqlalchemy (>= 2.0.0) <!nocheck>,
 Standards-Version: 4.6.0.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/tiangolo/sqlmodel

## sqlmodel 0.0.22

=== debian/changelog ===
sqlmodel (0.0.22-1) unstable; urgency=medium

  * New upstream release
  * run autopkgtests via pybuild

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2024 04:13:51 -0500

## sqlmodel 0.0.24

=== debian/changelog ===
sqlmodel (0.0.24-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Mar 2025 01:12:04 -0400

## sqlmodel 0.0.25

=== requirements.txt ===
-e .

-r requirements-tests.txt
-r requirements-docs.txt

pre-commit >=2.17.0,<5.0.0

=== debian/changelog ===
sqlmodel (0.0.25-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Oct 2025 00:33:11 -0400

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
                python3-requests <!nocheck>,
                python3-sqlalchemy (>= 2.0.0) <!nocheck>,
 Standards-Version: 4.6.0.1
-Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/tiangolo/sqlmodel
 Vcs-Git: https://salsa.debian.org/morph/sqlmodel.git
 Vcs-Browser: https://salsa.debian.org/morph/sqlmodel
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sqlmodel
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sqlmodel
export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-v --ignore-glob=*test_tutorial* -k 'not test_create_db_and_table'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo "pass"

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/tiangolo/sqlmodel/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
